﻿@model List<eCommerce.BackOffice.ViewModels.TransactionDetailViewModel>

<table class="table table-bordered table-hover" id="OrdersTable">
    <thead>
        <tr>
            <th class="col-md-1 text-center">#Venta</th>
            <th class="col-md-1 text-center">Fecha</th>
            <th class="col-md-3 text-left">Cliente</th>
            <th class="col-md-2 text-center">Monto</th>
            <th class="col-md-2 text-center">Pendiente</th>
            <th class="col-md-2 text-center">Monto</th>
            <th class="col-md-1 text-center">Sumar</th>
        </tr>
    </thead>
    <tbody>
        @{int rowNumber = 0; decimal totalPending = 0;}
        @foreach (var item in Model)
        {
            var pendingAmountToPay = item.PendingAmountToPay;
            totalPending += pendingAmountToPay;

            <tr class="">
                <td class="text-center align-vertical">@item.Order.OrderId</td>
                <td class="text-center align-vertical">@item.Order.Created.ToShortDateString()</td>
                <td class="text-left align-vertical">@item.Order.Customer.FullName</td>
                <td class="text-right align-vertical">@(string.Format("{0:C2}", item.Order.OrderTotalWithShippingCost))</td>
                <td class="text-right align-vertical">@(string.Format("{0:C2}", pendingAmountToPay))</td>
                <input type="hidden" id="PendingAmountToPay_@item.Order.OrderId" value="@pendingAmountToPay" />
                <td class="text-center">
                    <div class="input-group">
                        <span class="input-group-addon">$</span>
                        <input type="text" class="form-control transaction_detail-value text-right" id="OrderAmountToPay_@item.Order.OrderId" name="OrderAmountToPay_@item.Order.OrderId" value="@(item.TransactionDetail != null ? item.TransactionDetail.Amount : 0)" />
                    </div>
                </td>
                <td class="text-center align-vertical"><input type="checkbox" id="cancelarDeuda_@item.Order.OrderId" onchange="checkCancelDebt(@item.Order.OrderId)" checked="@(item.PendingAmountToPay == 0)"/></td>
            </tr>
            rowNumber++;
        }
    </tbody>
    <tfoot>
        <tr>
            <td colspan="3"></td>
            <td class="text-right font-weight-bold" style="vertical-align:middle;padding-right:10px;">TOTAL</td>
            <td class="text-right font-weight-bold" style="vertical-align:middle;">@string.Format("{0:c2}", totalPending)</td>
            <td>
                <div class="input-group">
                    <span class="input-group-addon">$</span>
                    <input readonly type="text" class="form-control text-right" id="transaction_total" name="Payment.Amount" />
                </div>
            </td>
            <td></td>
        </tr>
    </tfoot>
</table>